Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit.pdf.objects.StructTreeEntity Class Reference
Inheritance diagram for foxit.pdf.objects.StructTreeEntity:

## Public Types
enum | StructTreeEntityType { StructTreeEntityType.e_UnknownType = -1, StructTreeEntityType.e_StructTreeEntityTypeElement = 0, StructTreeEntityType.e_StructTreeEntityTypeMarkedContent = 1, StructTreeEntityType.e_StructTreeEntityTypeObjectContent = 2 }
| Enumeration for structure tree entity type. More...

## Public Member Functions
| StructTreeEntity ()
| Constructor.
| StructTreeEntity (StructTreeEntity other)
| Constructor, with another structure element entity object. More...
PDFPage | GetPage ()
| Get the related PDF page. More...
StructTreeEntity.StructTreeEntityType | GetType ()
| Get structure tree entity type. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...

## Detailed Description

This class represents structure tree entity.

## Member Enumeration Documentation

## ◆ StructTreeEntityType

enum foxit.pdf.objects.StructTreeEntity.StructTreeEntityType
| strong

Enumeration for structure tree entity type.

Values of this enumeration should be used alone.

Enumerator
e_UnknownType | Structure tree entity type: unknown.
e_StructTreeEntityTypeElement | Structure tree entity type: Element, which represents a structure element.
e_StructTreeEntityTypeMarkedContent | Structure tree entity type: MarkedContent, which represents a marked-content item.
e_StructTreeEntityTypeObjectContent | Structure tree entity type: ObjectContent, which represents a PDF object content item, such as annotation and XObject.

## Constructor & Destructor Documentation

## ◆ StructTreeEntity()

foxit.pdf.objects.StructTreeEntity.StructTreeEntity | ( | StructTreeEntity | other | ) |
| inline

Constructor, with another structure element entity object.

Parameters

  [in] | other | Another structure element entity object.

## Member Function Documentation

## ◆ GetPage()

PDFPage foxit.pdf.objects.StructTreeEntity.GetPage | ( |  | ) |
| inline

Get the related PDF page.

Returns
  A PDF page object which is the related PDF page.

## ◆ GetType()

StructTreeEntity.StructTreeEntityType foxit.pdf.objects.StructTreeEntity.GetType | ( |  | ) |
| inline

Get structure tree entity type.

Returns
  Structure tree entity type. Please refer to values starting from foxit.pdf.objects.StructTreeEntity.StructTreeEntityType.e_StructTreeEntityTypeElement and this would be one of these values.

## ◆ IsEmpty()

bool foxit.pdf.objects.StructTreeEntity.IsEmpty | ( |  | ) |
| inline

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.